/*
 * parselsb2rdf.h
 * Parse a text file containing sh-style comments and output rdf/xml.
 *
 * Copyright (C) Leni Mayo 2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License, version 2, as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _PARSELSB2RDF_H_
#define _PARSELSB2RDF_H_

#include <stdio.h>

typedef enum
{
	eParseBootSuccess,
	eParseBootFailed,
	eParseBootEmpty
} ParseBootResult;

extern ParseBootResult parseLsbToRdf(FILE *fpin, FILE *fpout, const char *filename);

#endif /* _PARSELSB2RDF_H_ */
